DistGeom::ChiralViolationContrib Class Reference

`#include <ChiralViolationContrib.h>`

Inheritance diagram for DistGeom::ChiralViolationContrib:

## Public Member Functions

| ChiralViolationContrib ()
| ChiralViolationContrib (ForceFields::ForceField *owner, const ChiralSet *cset, double weight=1.0)
| Constructor. More...
double | getEnergy (double *pos) const
| return the contribution of this contrib to the energy of a given state More...
void | getGrad (double *pos, double *grad) const
| calculate the contribution of this contrib to the gradient at a given state More...
virtual ChiralViolationContrib * | copy () const
| return a copy More...
Public Member Functions inherited from ForceFields::ForceFieldContrib
| ForceFieldContrib ()
virtual | ~ForceFieldContrib ()

## Additional Inherited Members

Protected Attributes inherited from ForceFields::ForceFieldContrib
ForceField * | dp_forceField
| our owning ForceField More...

## Detailed Description

A term to capture the violation of chirality at an atom center

Definition at line 14 of file ChiralViolationContrib.h.

## Constructor & Destructor Documentation

DistGeom::ChiralViolationContrib::ChiralViolationContrib | ( |  | ) |

inline

Definition at line 16 of file ChiralViolationContrib.h.

Referenced by copy().

DistGeom::ChiralViolationContrib::ChiralViolationContrib | ( | ForceFields::ForceField * | owner,
|  | const ChiralSet * | cset,
|  | double | weight = `1.0`
| ) |  |

Constructor.

Parameters

  owner | pointer to the owning forcefield
  cset | a chiral set containing the four chiral atom ids (in sequence) and the upper and lower limits on the signed chiral volume
  weight | (optional) the weight to be used for this contrib

## Member Function Documentation

virtual ChiralViolationContrib* DistGeom::ChiralViolationContrib::copy | ( |  | ) | const

inline virtual

return a copy

Implements ForceFields::ForceFieldContrib.

Definition at line 34 of file ChiralViolationContrib.h.

References ChiralViolationContrib().

double DistGeom::ChiralViolationContrib::getEnergy | ( | double * | pos | ) | const

virtual

return the contribution of this contrib to the energy of a given state

Implements ForceFields::ForceFieldContrib.

void DistGeom::ChiralViolationContrib::getGrad | ( | double * | pos,
|  | double * | grad
| ) |  | const

virtual

calculate the contribution of this contrib to the gradient at a given state

Implements ForceFields::ForceFieldContrib.

The documentation for this class was generated from the following file:

- ChiralViolationContrib.h